Bug 13668 - Winbind should not segfault if an invalid passdb backend is configured
Winbind should not segfault if an invalid passdb backend is configured
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.9.0rc5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-29 18:47 UTC by Andreas Schneider
Modified: 2018-11-06 08:16 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.9 (1.29 KB, patch)
2018-10-30 12:31 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2018-10-29 18:47:13 UTC
Winbind should not segfault if an invalid passdb backend is configured.

https://retrace.fedoraproject.org/faf/reports/1577174/
Comment 1 Andreas Schneider 2018-10-30 12:31:52 UTC
Created attachment 14551 [details]
patch for 4.9
Comment 2 Jeremy Allison 2018-10-31 20:10:14 UTC
Comment on attachment 14551 [details]
patch for 4.9

LGTM.
Comment 3 Jeremy Allison 2018-10-31 20:11:07 UTC
Re-assigning to Karolin for inclusion in 4.9.next.
Comment 4 Karolin Seeger 2018-11-01 13:01:31 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-9-test.
Comment 5 Karolin Seeger 2018-11-06 08:16:10 UTC
Pushed to v4-9-test.
Closing out bug report.

Thanks!